For the complete documentation index, see llms.txt. This page is also available as Markdown.

Terms API

Terms

Terms in Nosto's UGC allow us to set the rules to ingest content from different networks (such as user-generated content from Social Networks) - it is defined as an ingestion query within Nosto's platform.

Properties

Field
Type
Value
POST
PUT
Definition

id

integer

X

X

unique id for term

name

string

Name this new term

display_name

string

Display name

active

bool

1 (true) 0 (false)

Flag: 1 or 0

type

string

X

post: Required Type of term for network. The value must be: default - ecal page - facebook, pinterest, rss hashtag - twitter, instagram user - twitter, instagram, gplus, youtube, flickr, pinterest search - twitter, gplus, youtube location - twitter, instagram gallery - flickr set - flickr blog - tumblr atom - rss post - sta_feed weiboshow weibopage weibotopic page

network

string

twitter facebook instagram youtube gplus flickr pinterest tumblr rss ecal sta_feed weibo

X

post: Required

The source of social network

term

string

post: Required

The term query

filter

string

Ingestion filter / keywords in CSV format

exclude_filter

string

Exclude-filter / keywords in CSV format

fan_filter

string

Fan-filter in CSV format

fan_exclude_filter

string

Fan-exclude-filter in CSV format

minimum_followers

integer

Threshold for minimum followers, available only for twitter - search and hashtag terms

moderate_text

enum

publish queue disable exclude

moderate_image

enum

publish queue disable exclude

moderate_video

enum

publish queue disable exclude

retweet_enable

bool

reply_enable

bool

reply_to_enable

bool

partial_match

bool

include_fan_content

bool

include_hashtag_in_comments

bool

include_official_content

bool

search_exact_phrase

string

verified_accounts

string

Include tweets of verified twitter accounts only

num_of_backfill

integer

X

whitelist_handles

string

White listing handle/username in CSV format

blacklist_handles

string

Black listing handle/username in CSV format

source_user_id

string

post: Required if type is one of this value [user, page, gallery, set]

Original user id / identifier for the network

tags

array

Default tagging for ingested content

created

timestamp

X

X

Term's creation time

modified

timestamp

X

X

Term's modification time

last_ingestion_post

timestamp

X

X

Term's last ingestion post time

Back to Top

GET terms

Retrieves all terms available in the Stack.

Resource URL

https://api.stackla.com/api/terms

Resource Details

Rate limited: Yes

Access scope: User

Request Parameters

Name
Mandatory
Request type
Description

page

No

query

Page number. Default value is 1

limit

No

query

Return limit define how many Terms will be return for each request. Default is 25. Maximum limit is 100.

Back to Top

POST terms

Creates a new Term in the Stack.

Resource URL

https://api.stackla.com/api/terms

Resource Details

Rate limited: Yes

Access scope: User

Request Parameters

No additional request parameters are available.

Back to Top

GET terms/:termId

Retrieves a specific Term available in the Stack by its ID.

Resource URL

https://api.stackla.com/api/terms/:termId

Resource Details

Rate limited: Yes

Access scope: User

Request Parameters

Name
Mandatory
Request type
Description

termId

Yes

Request type

ID of the Term

Back to Top

PUT terms/:termId

Updates a specific Term available in the Stack by its ID.

Resource URL

https://api.stackla.com/api/terms/:termId

Resource Details

Rate limited: Yes

Access scope: User

Request Parameters

Name
Mandatory
Request type
Description

termId

Yes

endpoint

ID of the Term

Back to Top

DELETE terms/:termId

Deletes a specific Term available in the Stack by its ID.

Resource URL

https://api.stackla.com/api/terms/:termId

Resource Details

Rate limited: Yes

Access scope: User

Request Parameters

Name
Mandatory
Request type
Description

termId

Yes

endpoint

ID of the Term

Back to Top